Skip to main content
POST
/
api
/
brands
/
{key}
/
urls
Add Brand Url
curl --request POST \
  --url https://api.merchantops.ai/api/brands/{key}/urls \
  --header 'Content-Type: application/json' \
  --data '
{
  "country": "<string>",
  "url": "<string>"
}
'
{
  "id": "<string>",
  "key": "<string>",
  "name": "<string>",
  "aliases": [
    "<string>"
  ],
  "createdAt": "<string>",
  "createdBy": "<string>",
  "domain_patterns": [
    "<string>"
  ],
  "is_verified": false,
  "lastModifiedAt": "<string>",
  "lastModifiedBy": "<string>",
  "llm_inferred_url": "<string>",
  "logo_url": "<string>",
  "scrape_consecutive_failures": 0,
  "scrape_disabled_until": "<string>",
  "scrape_last_failure_at": "<string>",
  "scrape_last_failure_reason": "<string>",
  "scrape_mode": "auto",
  "scrape_mode_set_at": "<string>",
  "scrape_mode_set_by": "<string>",
  "source": "<string>",
  "url_needs_review": false,
  "urls": [
    {
      "country": "<string>",
      "url": "<string>"
    }
  ],
  "web_search_url": "<string>"
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Body

application/json

Request model for adding a country URL.

country
string
required

ISO 2-letter country code

url
string
required

Brand website URL

Response

Successful Response

Response model for a single Brand.

id
string
required

MongoDB ObjectId as string

key
string
required

Normalized brand key

name
string
required

Official brand name

aliases
string[]

Alternative names

createdAt
string | null

Creation timestamp

createdBy
string | null

User who created this

domain_patterns
string[]

Domain patterns for matching

is_verified
boolean
default:false

Whether brand is verified

lastModifiedAt
string | null

Last modification timestamp

lastModifiedBy
string | null

User who last modified this

llm_inferred_url
string | null

URL from LLM inference

logo_url
string | null

Brand logo URL

scrape_consecutive_failures
integer
default:0

Failures since last success

scrape_disabled_until
string | null

Cooldown end when mode=disabled

scrape_last_failure_at
string | null

Most recent failure timestamp

scrape_last_failure_reason
string | null

Reason for most recent failure

scrape_mode
string
default:auto

auto | enhanced | disabled

scrape_mode_set_at
string | null

When scrape_mode last changed

scrape_mode_set_by
string | null

Who last changed scrape_mode

source
string | null

How brand was added

url_needs_review
boolean
default:false

Whether URLs need review

urls
BrandURLResponse · object[]

Country-specific URLs

web_search_url
string | null

URL from web search